
import request from "../../request";
import { AxiosPromise } from "axios";
import { Crc,StatusReply,CheckForUpdatesRequest,CheckForUpdatesReply } from "./types";



 //  HELLO 
export function Hello(data: Crc): AxiosPromise<StatusReply> {
    return request({
      url: "/initialize.Check.Hello",
      method: "post",
      data: data,
});
}


 //  检查更新 
export function Updates(data: CheckForUpdatesRequest): AxiosPromise<CheckForUpdatesReply> {
    return request({
      url: "/initialize.Check.Updates",
      method: "post",
      data: data,
});
}
