

export interface Crc {
    code?: string; 
}




export interface StatusReply {
    status?: number; 
    identity?: string; 
    message?: string; 
    timeseq?: number; 
}




export interface CheckForUpdatesRequest {
    app?: string; 
    os?: string; 
    arch?: string; 
    version?: string; 
}




export interface CheckForUpdatesReply {
    identity?: string; 
    version?: string; 
    summary?: string; 
    files?: string; 
    pubdate?: string; 
}




export interface Empty {

}




export interface ConfigureRequest {
    app?: string; 
    os?: string; 
}




export interface ConfigureReply {
    data?: ConfigureItem[]; 
}




export interface ConfigureItem {
    Identity?: string; 
    key?: string; 
    value?: string; 
    version?: number; 
}




export interface AreasReply {
    areas?: AreasItem[]; 
}




export interface AreasItem {
    id?: string; 
    pid?: string; 
    deep?: string; 
    name?: string; 
    pinyin_prefix?: string; 
    pinyin?: string; 
    ext_id?: string; 
    ext_name?: string; 
}




export interface TagsReply {
    tags?: TagsItem[]; 
}




export interface TagsItem {
    id?: number; 
    type?: number; 
    key?: string; 
    title?: string; 
    remark?: string; 
    icon?: string; 
}

